Sign a message
POST /v2/wallet/{walletId}/sign/msg
POST
/v2/wallet/{walletId}/sign/msg
Sign a message by its ID.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” walletId
required
string
The unique wallet ID.
Example
82c4fce1-d2c7-48cb-a647-6993dbe37819Request Body required
Section titled “Request Body required ”object
walletId
required
The unique wallet ID.
string
82c4fce1-d2c7-48cb-a647-6993dbe37819 data
required
The binary data to be signed.
string
0xdeadbeefResponses
Section titled “ Responses ”The resource has been successfully created.
object
walletId
required
The unique wallet ID.
string
82c4fce1-d2c7-48cb-a647-6993dbe37819 signedData
required
The binary that has been signed.
string
0xdeadbeefBad Request
Unauthorized
Forbidden
Not Found
Internal Server Error